<?php

namespace EventPortal\Domain\Venue\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Venue\Models\Venue;

class AssociateToEvent
{
    public function execute(Event $event, Venue $venue): void
    {
        if ($event->venue === $venue) {
            return;
        }

        $event->venue()->associate($venue);
    }
}
