<?php

namespace EventPortal\Domain\Venue\Actions;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Venue\Models\Venue;

class DisassociateFromEvent
{
    public function execute(Event $event, Venue $venue): void
    {
        if ($event->venue->id !== $venue->id) {
            return;
        }
        $event->venue()->dissociate();
    }
}
