<?php

namespace EventPortal\Http\Controllers\Admin\EventDelegate;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Venue\Actions\AssociateToEvent;
use EventPortal\Domain\Venue\Models\Venue;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;

class AssociateToEventController extends Controller
{
    public function __invoke(Event $event, Venue $venue, AssociateToEvent $action): RedirectResponse
    {
        $action->execute($event, $venue);

        return redirect()->route('admin.event.index', $event);
    }
}
